Kerbal Space Program - Bug #24852

Interstage fairings now hold on to decoupled parts
02/13/2020 11:02 PM - dok_377

Status: Duplicate Start date: 02/13/2020
Severity: Low % Done: 100%
Assignee: victorr

Category: Parts

Target version:

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

How to reproduce: take a fairing, attach either a heatshield with enabled staging or some decoupler with a part beneath it to the
fairing. It can be the main fairing node or interstage node, doesn't matter. Then close the fairing on a heatshield or a part. Launch
craft, then try to decouple. Parts that supposed to be decoupled stay attached as if they are still on the same vessel, but they are not.
You can switch to them as shown in the second video, but they behave as if they are still attached. When you enable time warp,
physics completely fail and decoupled parts just fall to the ground and explode.

Video #1: https://youtu.be/7JU48QKIN8Q

Video #2: https://youtu.be/wvLroh3tsSc

And apparently it doesn't work only in one direction. Only if you try to decouple something from the fairing. If you decoupling the
fairing itself, it works as intended.
Video #3: https://youtu.be/cuT0zviOW2M

Also, rcs doesn't work until you leave the render range of the fairing.

Video #4: https://youtu.be/PIzA5X7PfmQ

I think it has something to do with the root part of the vessel. If the fairing stays with the root part of the vessel, nothing is decoupling
from it. If the fairing decouples from the root of the vessel (i.e. interstage of the rocket on the first stage with the root part on the
second stage), then it's fine. See the attached video for demonstration.

Video #5: https://youtu.be/SgZHApejBs4

Related issues:
Is duplicate of Kerbal Space Program - Bug #21915: Interstage fairings now ho... Resolved 04/17/2019

History

#1 - 02/15/2020 10:04 PM - Anonymous

There used to be a bug-report #21915 covering this, with an example craft and workarounds, but it is no longer publicly visible.
It comes up on the forum from time to time, so we can still find workarounds there :
https://forum.kerbal rogram.com/index.php?/topic/187777- k-in-undepl

-fairing/

#2 - 02/16/2020 01:54 AM - dok_377
k-oharab5a5a@oco.net wrote:

There used to be a bug-report #21915 covering this, with an example craft and workarounds, but it is no longer publicly visible.
It comes up on the forum from time to time, so we can still find workarounds there :

https://forum.kerbalspaceprogram.com/index.php?/topic/187777-stuck-in-undeployed-fairing/

They are just going to mark this as duplicate and not fix it again if I'm not going to delete the previous report. This bug tracker and Squad in general is
a joke these days. If a bug is not fixed in the minor patch - it's never going to get fixed, because they just forget about it and mark all other reports as
duplicates. It's so stupid.

#4 - 02/27/2020 10:43 PM - dok_377

- Version changed from 1.9.0 to 1.9.1

#7 - 03/04/2020 04:52 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

#8 - 03/04/2020 09:56 PM - TriggerAu
- Is duplicate of Bug #21915: Interstage fairings now hold on to decoupled parts added

#9 - 03/04/2020 09:57 PM - TriggerAu
- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

Closing tis one s a duplicate as per https://bugs.kerbalspaceprogram.com/issues/21915?next_issue_id=239928&prev_issue_id=20266#note-15
